"{ Package: 'stx:libtool' }"

TestCase subclass:#FileBrowserV2Tests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Tools-File'
!

!FileBrowserV2Tests class methodsFor:'documentation'!

documentation
"
    documentation to be added.

    [author:]
        Christian Penk (penk@bierfix)

    [instance variables:]

    [class variables:]

    [see also:]

"
!

history
    "Created: / 31.7.2002 / 11:59:23 / penk"
! !

!FileBrowserV2Tests methodsFor:'initialize / release'!

setUp
    "common setup - invoked before testing"

    super setUp
!

tearDown
    "common cleanup - invoked after testing"

    super tearDown
! !

!FileBrowserV2Tests methodsFor:'tests'!

createBigDirectory

    (Filename homeDirectory construct:'Test') makeDirectory.
    1 to:5 do:[: id1|
        1 to:50 do:[: id2|
            1 to:50 do:[: id3|
                ('/home/penk/Test' asFilename construct:('file', id1 asString, '.', id2 asString,'.', id3 asString)) writeStream
            ]
        ].
    ]
"
FileBrowserV2Tests new createBigDirectory
"
!

removeBigDirectory

    (Filename homeDirectory construct:'Test') recursiveRemove.

"
FileBrowserV2Tests new removeBigDirectory
"
!

testBigDirectory
!

testDirectoryHistory
    "Just a demonstration testCase.
     Double click on the TestCase class or open a TestRunner to see me checking...
     - please add more methods like this..."

    |history|

    history := AbstractFileBrowser directoryHistoryClass new.
    history resetForwardBackward.
    self shouldnt: (history canBackward).
    history addToHistory:'1'.
    self shouldnt:(history canBackward).
    self shouldnt:(history canForward).
    history addToHistory:'2'.
    self should:(history canBackward).
    history addToHistory:'3'.
    self should:(history canBackward).
    self shouldnt: (history canForward).
    self should: ((history goBackward) = '2').
    self should: ((history goBackward) = '1').
    self should: (history canForward).
    self should: ((history goForward) = '2').
    self should: (history canForward).

    

    "
     self run:#testDirectoryHistory
    "
!

testFileItem
    "Just a demonstration testCase.
     Double click on the TestCase class or open a TestRunner to see me checking...
     - please add more methods like this..."

    | file item|

    file := Filename homeDirectory construct:'work/stx/doc/online/english/index.html'.
    file exists ifTrue:[
        item := DirectoryContentsBrowser itemClass fileName:file.
        self should:(item mimeType = 'text/html').
    ].

    "
     self run:#testFileItem
    "
!

testHardLink
    "Just a demonstration testCase.
     Double click on the TestCase class or open a TestRunner to see me checking...
     - please add more methods like this..."

    |browser|

    browser := FileBrowserV2 new.
    
    self should: ( browser isKindOf:AbstractFileBrowser ).
    self should: ( browser respondsTo:#newHardLink ).
    
"/    self should: [ o at:0 ] raise:Error.

    "
     self run:#testHardLink
    "
! !

!FileBrowserV2Tests class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/FileBrowserV2Tests.st,v 1.6 2002-12-04 17:10:53 penk Exp $'
! !
